# Contributor Guidelines

Flask-Login is open source and will happily consider pull requests with bugfixes, documentation improvements, and ocassionally new features. Note that major changes will generally not be accepted.

Before you submit an issue or pull request, please read the following guidlines.

## Submitting Issues

Before you submit a new issue, **please review the [CHANGES](https://github.com/maxcountryman/flask-login/blob/master/CHANGES) document**. This is where you will find all major changes, including breaking changes, which may be causing your issue.

Do not open a new issue before reading through CHANGES thoroughly and reviewing other open and closed issues. Duplicate issues will be closed and locked. Please do not open issues related to release deadlines: we will get to it when we can and in the meantime you are free to issue your own releases however you like.

Issues should relate to specific bugs or feature requests. If this doesn't fit the profile, then please don't open an issue.

## Submitting a Pull Request

If you'd like to submit PR, please make sure that all tests pass prior to submission. The README contains further instructions.

## Extended Documentation

Sphinx-generated documentation can be found [here](https://flask-login.readthedocs.io/en/latest/). This page is updated automatically. Documentation for prior versions of the library may be found there as well. Always review this page when a problem is first encountered.

## Thanks

Finally this project has seen contributions from many people and we owe them a debt of gratitude for taking time to improve the project.
